Name:               irssi-xmpp
Version:            0.52
Release:            1%{?dist}
Summary:            XMPP plugin into irssi

Group:              Applications/Communications
License:            GPLv2
URL:                http://cybione.org/~irssi-xmpp/
Source0:            http://cybione.org/~irssi-xmpp/files/%{name}-%{version}.tar.gz

Buildroot:          %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:      irssi-devel loudmouth-devel

Patch0:             irssi-xmpp-0.52-config.patch

Requires: irssi >= 0.8.13
Requires: loudmouth >= 1.4.0

%description
Irssi-xmpp is an irssi plugin to connect to the Jabber network.

%prep
%setup -q
%patch0 -p1 -b .config

%build
%{__make} PREFIX=%{_prefix} %{?_smp_mflags} RH_FLAGS="$RPM_OPT_FLAGS"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} PREFIX=%{_prefix} IRSSI_LIB=%{_libdir}/irssi install DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf $RPM_BUILD_ROOT%{_prefix}/share/doc/
%{__rm} -rf $RPM_BUILD_ROOT%{_prefix}/share/irssi

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc docs/* help/* COPYING README NEWS TODO
%{_libdir}/irssi/modules/libfe_xmpp.so
%{_libdir}/irssi/modules/libtext_xmpp.so
%{_libdir}/irssi/modules/libxmpp_core.so

%changelog
* Wed Feb 05 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.52-1
- New upstream version
- new patch

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.51-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.51-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.51-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.51-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.51-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 06 2010 Matěj Cepl <mcepl@redhat.com> - 0.51-1
- New upstream release

* Sun Mar 28 2010 Nikola Pajkovsky <npajkovs@redhat.com> 0.50-4
- previous commit contain empty patch which fix standard fedora CFLAGS
- fix: 577367 - irssi-xmpp not built with $RPM_OPT_FLAGS

* Sun Mar 21 2010 Nikola Pajkovsky <npajkovs@redhat.com> 0.50-3
- add standard fedora CFLAGS
- COPYING README NEWS TODO as doc files
- fix Source0 url

* Tue Aug 18 2009 Nikola Pajkovsky <npajkovs@redhat.com> 0.50-2
- change install section. No patch is needed.
- resolved compilation on x86_64

* Thu Aug 13 2009 Nikola Pajkovsky <npajkovs@redhat.com> 0.50-1
- initial build



